VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   0  'None
   Caption         =   "eNotes"
   ClientHeight    =   1500
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   3000
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmMain.frx":0000
   MaxButton       =   0   'False
   Picture         =   "frmMain.frx":0442
   ScaleHeight     =   1500
   ScaleWidth      =   3000
   Begin VB.CommandButton cmdNewWindow 
      Caption         =   "&New"
      Default         =   -1  'True
      Height          =   350
      Left            =   2040
      TabIndex        =   2
      ToolTipText     =   "Create a new note"
      Top             =   600
      Width           =   855
   End
   Begin VB.CommandButton cmdExit 
      Height          =   255
      Left            =   2640
      MaskColor       =   &H00FFFFFF&
      Picture         =   "frmMain.frx":117F
      Style           =   1  'Graphical
      TabIndex        =   5
      ToolTipText     =   "Quit"
      Top             =   120
      UseMaskColor    =   -1  'True
      Width           =   255
   End
   Begin VB.CommandButton cmdOptions 
      Caption         =   "&Options"
      Height          =   350
      Left            =   2040
      TabIndex        =   3
      ToolTipText     =   "Configure eNotes"
      Top             =   990
      Width           =   855
   End
   Begin VB.CommandButton cmdMinimize 
      Height          =   255
      Left            =   2400
      MaskColor       =   &H00FFFFFF&
      Picture         =   "frmMain.frx":1205
      Style           =   1  'Graphical
      TabIndex        =   4
      ToolTipText     =   "Minimize"
      Top             =   120
      UseMaskColor    =   -1  'True
      Width           =   255
   End
   Begin VB.CommandButton cmdAbout 
      Height          =   255
      Left            =   2040
      MaskColor       =   &H00FFFFFF&
      Picture         =   "frmMain.frx":128B
      Style           =   1  'Graphical
      TabIndex        =   6
      ToolTipText     =   "About eNotes..."
      Top             =   120
      UseMaskColor    =   -1  'True
      Width           =   255
   End
   Begin VB.Label lblStatus 
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "0"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FFFFFF&
      Height          =   195
      Left            =   1440
      TabIndex        =   1
      Top             =   1080
      UseMnemonic     =   0   'False
      Width           =   105
   End
   Begin VB.Label lblStatusDescription 
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      Caption         =   "Notes on board:"
      ForeColor       =   &H00FFFFFF&
      Height          =   195
      Left            =   180
      TabIndex        =   0
      Top             =   1080
      UseMnemonic     =   0   'False
      Width           =   1170
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' eNotes v.1.0
' Copyright (C) 2003 TheLegs
'
' See basCommon.bas for details about the
' copyright notice and disclaimer.
'
Option Explicit

' These variables are used to make the
' form movable by clicking in any point
' of the form.
'
Public MouseIsDragging As Boolean   ' =True on MouseDown
Public MouseOriginalX As Long       ' Sets X before MouseDown
Public MouseOriginalY As Long       ' Sets Y before MouseDown
Public MouseAntiflood As Boolean

Private Sub cmdAbout_Click()
Dim TrapErr As Long

    On Error Resume Next
        frmAbout.Show vbModeless, frmMain
        TrapErr = Err
        If (TrapErr <> 0) And (TrapErr = 364) Then
            ' Ignore error 364...
        Else
            On Error GoTo 0
            Err = TrapErr
        End If
    On Error GoTo 0

End Sub

Private Sub cmdExit_Click()

    Unload Me

End Sub

Private Sub cmdMinimize_Click()

    Me.WindowState = vbMinimized
    Me.Caption = "eNotes [" + StrX(NoteCount) + "]"

End Sub

Private Sub cmdNewWindow_Click()

    If NoteCount = MAXNOTES Then
        MsgBox "Sorry, max " + StrX(MAXNOTES) + " notes can be created." + vbCr + _
                "Close the other notes then retry.", vbExclamation
    Else
        CreateNote
    End If

End Sub

Private Sub cmdOptions_Click()

    frmOptions.Show vbModeless, Me

End Sub

Private Sub Form_Load()

    DoEvents
    Me.Top = Screen.Height - Me.Height - (64 * Screen.TwipsPerPixelY)
    Me.Left = Screen.Width - Me.Width - (64 * Screen.TwipsPerPixelX)
    MouseIsDragging = False
    
    NoteCount = 0
    
End Sub

Private Sub Form_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    
    If MouseIsDragging = False Then
        MouseIsDragging = True
    End If
    
End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

    If MouseAntiflood = False Then
        MouseAntiflood = True
        DoEvents
        If MouseIsDragging = False Then
            MouseOriginalY = Y
            MouseOriginalX = X
        Else
            Me.Top = Me.Top + Y - MouseOriginalY
            Me.Left = Me.Left + X - MouseOriginalX
        End If
        MouseAntiflood = False
    End If

End Sub

Private Sub Form_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)

    MouseIsDragging = False

End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
Dim Warning As String
    
    If NoteCount > 0 Then

        Warning = "Please notice that eNotes does not automatically save" + vbCr + _
                    "your data. If you exit now you will lose all the notes" + vbCr + _
                    "created till now." + vbCrLf + vbCrLf + _
                    "If you need to save your data please choose NO now" + vbCr + _
                    "then click on the 'Export' button of each window" + vbCr + _
                    "you need." + vbCrLf + vbCrLf + _
                    "Are you sure you want to close eNotes now?"
        
        If MsgBox(Warning, vbYesNo + vbExclamation) = vbNo Then _
            Cancel = True Else End
            
    End If
    
End Sub

Private Sub Form_Resize()

    Me.Caption = "eNotes"

End Sub
